:root {
    --shadow: #0000000d;
    --container-display: flex;
    --container-align: center;
    --container-justify: center;
    --container-background: #fcfcfc;
    --muted-color: rgba(241, 241, 244, 1);
    --border-color: #7b03e2;
    --danger-color: rgba(248, 40, 90, 1);
    --success-color: rgba(23, 198, 83, 1);
    --trial-color: orange;
    --pending-color:rgb(253, 69, 2);
    --default-color: black;
    --label-color: #99a1b7;
    --back-color: rgba(255, 238, 243, 1);
    --white-color: white;
    --table-font-color: rgba(153, 161, 183, 1);
    --font-14: 14px;
    --font-16: 16px;
    --custom-background: #f1f1f4;
    --custom-box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
    --nav-text-color: rgba(251, 95, 80, 1);
}

@font-face {
    font-family: "Poppins-Regular";
    src: url("../css/fonts/Poppins-Regular.ttf");
}

body {
    font-family: "Poppins-Regular", Arial, sans-serif;
}

.form-group label,
.form-control::placeholder,
h6,
.p-text {
    font-size: var(--font-14);
}

h2 {
    font-size: 28px;
}

.custom-gradient-button {
    background: linear-gradient(248.56deg, #fb5f50 -24.87%, #7a02e3 103.22%);
}

.input-group-text {
    background-color: transparent;
}

.section {
    padding-left: 15px;
    padding-right: 15px;
}

.card-body {
    box-shadow: 0px 4px 104px 0px var(--shadow);
    height: 600px;
}

.custom-card-body {
    box-shadow: 3px 2px 12px 7px var(--shadow);
    height: 100% !important;
}

.custom-card {
    border: none;
    background-color: var(--white-color);
}

.login .custom-card,
.forgot .custom-card {
    border: none;
    background-color: var(--white-color);
    width: 50%;
    max-width: 400px;
    max-height: 300px;
    min-width: 300px;
    min-height: 250px;
    top: 10%;
    left: 15%;
}

.custom-height {
    height: 100vh;
}

@media only screen and (max-device-width: 480px) {
    [class*="col-"] {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .delete_card {
        padding-bottom: unset;
    }

    .custom-card {
        width: 85% !important;
        top: 5rem;
        padding-bottom: 50px;
    }

    .success_view img {
        width: 100%;
    }

    .mobile-font {
        font-size: 60px;
    }

    .success_view label,
    .success_view span,
    .success_view a {
        font-size: 33px;
    }

    .success_view a {
        padding: 15px 30px;
    }
}

.welcome-container,
.login-container,
.forgot-container,
.reseet-container {
    display: var(--container-display);
    align-items: var(--container-align);
    justify-content: var(--container-justify);
    background: var(--container-background);
}

.custom-padding {
    padding: 21px 100px 6px 80px;
}

.custom-image {
    padding-top: 70px;
    width: 100%;
}

.custom-reset {
    height: 530px;
    width: auto;
    padding-top: 120px;
    padding-right: 20px;
    padding-left: 20px;
}

.custom-login {
    width: 80%;
}

.text-class {
    padding-top: 60px;
    padding-left: 60px;
}

.dashboard-card-body {
    box-shadow: 0px 4px 104px 0px var(--shadow);
    flex: 1 1 auto;
    padding: 1.25rem;
}

.subscription-div-span {
    vertical-align: middle;
    display: inline-block;
    margin-left: 5px;
}

.plan-flag-text,
.subscription-btn {
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: 0em;
    text-align: left;
}

.subscription-btn {
    border: 1px solid var(--border-color);
    color: var(--border-color);
    background-color: var(--white-color);
}

.cancel-subscription-btn {
    border: 1px solid var(--danger-color);
    color: var(--danger-color);
    background-color: var(--white-color);
}

.trash-subscription-btn {
    color: var(--danger-color);
    background-color: var(--back-color);
}

@media (min-width: 1024px) {
    .custom-container {
        padding-left: 100px;
        padding-right: 100px;
        margin-left: auto;
        margin-right: auto;
        border: none !important;
    }
}

.invoice-link {
    color: var(--border-color);
}

@media (max-width: 425px) {
    .nav-img {
        max-width: 80%;
        height: auto;
        margin-left: 0px !important;
    }
}

.nav-img {
    width: 72px;
    display: inline-block;
    margin-left: 100px;
}

.nav-ul-li-a {
    margin-right: 10px;
}

.nav-li-u-img {
    height: 30px;
    width: auto;
    margin-right: 10px;
}

.vr {
    height: 100%;
}

.custom-pagination-style .page-link {
    color: black;
}

.table-no-border {
    border: none;
}

.table-no-border td,
.table-no-border th {
    border: none;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: 0em;
    text-align: left;
}

.table-no-border td {
    color: var(--table-font-color);
}

.text-block {
    text-align: left;
}

/* Specific styles */
.title-name,
.dashboard-text {
    font-size: 20px;
    line-height: 30px;
    letter-spacing: 0em;
    text-align: left;
}

.title-name {
    font-weight: 600;
}

.dashboard-text {
    font-weight: 400;
}

.date-text,
.date-p-text {
    text-align: left;
    letter-spacing: 0em;
}

.date-text {
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
}

.date-p-text {
    font-size: 14px;
    font-weight: 500;
    line-height: 21px;
}

.date-icon {
    display: inline-block;
    left: 183px;
}

.div-p,
.nav-text {
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    letter-spacing: 0em;
    text-align: left;
}

.nav-text {
    margin-top: -5px;
    color: var(--nav-text-color);
}

.div-p {
    color: var(--table-font-color);
}

.plan-flag {
    width: 100px;
    height: auto;
    margin-left: 0px;
    top: 198px;
}

.plan-flag-text {
    vertical-align: middle;
    margin-left: -91px;
    display: inline-block;
}

.p-text-color {
    color: var(--table-font-color);
}

.h-text {
    font-size: 18px;
    font-weight: 500;
    line-height: 27px;
    letter-spacing: 0em;
    text-align: left;
    margin-top: 21px;
    position: absolute;
}

.custom-pagination-style .page-item.active .page-link {
    background-color: var(--border-color);
}

.div-radio {
    border: 1px solid;
    border-color: var(--border-color);
}

input[type="radio"] {
    accent-color: var(--border-color);
}

.select-text {
    width: 92px;
    height: 39px;
    border: none;
}

.card-custom {
    border: none !important;
    box-shadow: 0px 4px 104px 0px var(--shadow);
}

.text-lable-class {
    color: var(--label-color);
}

.user-password {
    border-right: none;
}

.font-success {
    color: var(--success-color) !important;
}

.font-danger {
    color: var(--danger-color) !important;
}

.custom-text-color,
.custom-text-color:hover {
    color: var(--border-color);
}

.custom-height-dashboard {
    height: 104px !important;
    margin-top: -10px !important;
    margin-bottom: 15px !important;
    box-shadow: 0px 0px 0px 0px var(--shadow) !important;
}

.custom-div-height {
    margin-top: -10px !important;
    height: 100%;
    box-shadow: 0px 0px 0px 0px var(--shadow) !important;
}

.custom-dashboard-height {
    margin-top: -10px !important;
    margin-bottom: -30px !important;
    height: 330px !important;
    box-shadow: 0px 0px 0px 0px var(--shadow) !important;
}

@media (max-width: 768px) {

    .custom-height-dashboard,
    .custom-div-height,
    .custom-dashboard-height {
        height: auto !important;
    }
}

@media (min-width: 1024px) {
    .custom-dashboard-height {
        height: 50% !important;
    }
}

.custom-title {
    margin-top: -15px !important;
}

.with-vertical-line {
    border-right: 1px solid var(--muted-color);
    border-left: 1px solid var(--muted-color);
    height: 45px;
}

.cancel-image {
    align-items: center;
    display: flex;
    justify-content: center;
}

.confirm-cancel-btn {
    background-color: var(--border-color);
    color: var(--white-color);
}

.user-profile-circle {
    position: relative;
    z-index: 11;
}

.user-profile-circle img {
    border-radius: 50%;
    width: 95px;
    height: 100px;
}

.edit-icon {
    position: absolute;
    bottom: 5px;
    right: 5px;
    background-color: white;
    border-radius: 50%;
    padding: 5px;
    cursor: pointer;
    box-shadow: var(--custom-box-shadow);
}

.custom-boxx {
    width: 800px;
    height: 270px;
    margin-left: 170px;
    background-color: var(--white-color) !important;
    border: 1px solid var(--custom-background);
    display: flex;
}

.edit-profile-btn {
    border: 1px solid var(--border-color);
    color: var(--border-color);
    background-color: var(--white-color);
}

.change-password-btn {
    border: 1px solid var(--border-color);
    color: var(--border-color);
    background-color: var(--white-color);
}

.profile-text,
.change-btn,
.edit-btn {
    font-size: 20px;
    line-height: 30px;
    letter-spacing: 0em;
}

@media (min-width: 320px) and (max-width: 425px) {
    .subscription-btn {
        width: 100%;
        margin-bottom: 10px;
    }
}

.required {
    color: var(--danger-color);
}

.custom-label {
    font-size: var(--font-14);
}

.custom-boxx .form-control {
    width: 100%;
    margin-bottom: 10px;
}

.magenta-button {
    background-color: var(--border-color);
    color: var(--white-color);
}

.custom-input-field {
    background-color: var(--custom-background);
    transition: background-color 0.3s ease;
}

.custom-input-field:focus {
    background-color: var(--custom-background);
}

.file-label {
    cursor: pointer;
    margin-bottom: 0%;
    display: inline-block;
}

@media (min-width: 320px) and (max-width: 425px) {
    .modal-dialog {
        width: 100%;
        padding-right: 15px;
    }
}

.modal-dialog {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) !important;
}

.background-container {
    position: relative;
    width: 100%;
    height: 20vh;
    overflow: hidden;
}

.background-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.center-screen {
    display: var(--container-display);
    align-items: var(--container-align);
    justify-content: var(--container-justify);
    height: 0vh;
}

.spacing-between-buttons {
    margin-left: 0px;
}

.succes-class {
    font-size: var(--font-16);
}

.sucess-page {
    height: 100vh;
    position: absolute;
    display: var(--container-display);
    align-items: var(--container-align);
    justify-content: var(--container-justify);
}

.profile-card {
    border: none !important;
}

.custom-profile-card {
    width: 100%;
}

.card-listing {
    display: var(--container-display);
    align-items: var(--container-align);
}

.succes-class-payment {
    color: black;
}

.add-card {
    width: 100%;
    padding-right: 15px;
}

@media (max-width: 768px) {
    .password-dialog {
        width: 100%;
        padding-right: 15px;
    }
}

.spacing-between-cards {
    margin-bottom: 10px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    color: var(--white-color) !important;
    background: var(--border-color) !important;
    width: 30px;
    height: 28px;
    line-height: 28px;
    padding: 0;
}

.table.dataTable tbody td {
    padding: 13px 17px !important;
    color: var(--table-font-color);
}

.dataTable.no-footer {
    border-bottom: none !important;
}

.table.dataTable th,
table.dataTable td {
    box-sizing: content-box;
    border-bottom: none !important;
}

.table.dataTable th {
    border-top: none !important;
}

.custom-label-color {
    font-size: 16px;
    font-weight: 500;
    color: var(--default-color);
}

.custom-label-color.active {
    color: var(--success-color);
}

.custom-label-color.canceled {
    color: var(--danger-color);
}

.custom-label-color.trial{
    color: var(--trial-color);
}

.custom-label-color.pending {
    color:var(--pending-color);
}

.change-custom-color.paid {
    color: var(--success-color);
}

.change-custom-color.failed {
    color: var(--danger-color);
}

#payment-table {
    width: 100% !important;
}

#user-list-datatable {
    width: 100% !important;
}

.table-responsive {
    margin-top: 20px;
}

.heading-text {
    font-size: 18px;
    font-weight: 500;
    line-height: 27px;
    letter-spacing: 0em;
    text-align: left;
}

.cancel-modal-text {
    padding-left: 10%;
}

.cancel-modal-text-bold {
    color: var(--default-color);
    font-weight: 600;
}

.pencil-icon-view,
.pencil-icon-container {
    position: absolute;
    bottom: 5px;
    right: 5px;
    background-color: var(--white-color);
    border-radius: 50%;
    width: 30px;
    height: 30px;
    padding: 5px;
    box-shadow: var(--custom-box-shadow);
    display: var(--container-display);
    justify-content: var(--container-justify);
    align-items: var(--container-align);
    border: 1px solid var(--custom-background);
}

.pencil-icon-container:hover {
    color: var(--border-color);
}

.h3-class {
    margin-top: -21px;
}
